1. Spaces
Astravue docs
  • Auth
    • Get Access and Refresh Token
      POST
    • Refresh Access Token
      POST
  • Personal Tasks
    • Get task by ID
      GET
    • Update a task
      PUT
    • Delete a task
      DELETE
    • Get all tasks
      GET
    • Create a task
      POST
  • Spaces
    • Get space by ID
      GET
    • Update a space
      PUT
    • Delete a space
      DELETE
    • Get all spaces
      GET
    • Create a new space
      POST
  • Projects
    • Get project details by ID
      GET
    • Update a project
      PUT
    • Delete a project
      DELETE
    • Get all projects in a space
      GET
    • Create a new project
      POST
  • Project Tasks
    • Get a project task by ID
      GET
    • Update a project task
      PUT
    • Delete a project task
      DELETE
    • Get all tasks in a project
      GET
    • Create a project task
      POST
  • Task Timer
    • Get active timers for a user
      GET
    • Update a timer
      PUT
    • Delete a timer entry
      DELETE
    • Stop timer for a task
      PUT
    • Start timer for a personal task
      POST
    • Add a time range entry for a personal task
      POST
    • Add manual time entry for a personal task
      POST
    • Start timer for a project task
      POST
    • Add range timer for a project task
      POST
    • Add manual time entry for a project task
      POST
    • Get timers for a user in a task
      GET
    • Get global timesheet report
      GET
    • Get project timesheet
      GET
    • Get project timesheet summary
      GET
  • Task Comments
    • Get comments for a task
  • Project Subtasks
    • Get all subtasks
    • Update a subtask
    • Delete a subtask
    • Create a subtask
  • Personal Subtasks
    • Get all subtasks for a personal task
    • Update a subtask for a personal task
    • Delete a subtask for a personal task
    • Create a subtask for a personal task
  • Tasks Checklist
    • Get all checklists for a subtask
    • Get all checklists for a parent task
  • Bulk Export
    • Bulk list tasks
    • Bulk list projects
GuidesAPI Docs
GuidesAPI Docs
MCP Server
Astravue MCP on GitHub
  1. Spaces

Delete a space

DELETE
https://api.astravue.com/v1/spaces/{spaceId}
Deletes a specific space by its ID.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢204No Content
application/hal+json
OK
Bodyapplication/hal+json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE 'https://api.astravue.com/v1/spaces/' \
--header 'X-Org-Id: 1' \
--header 'Authorization: Bearer <token>'
Response Response Example
null
Modified at 2025-08-07 18:26:49
Previous
Update a space
Next
Get all spaces
Built with